Subject: [alpine-aports] [PATCH] testing/php7-memcached: PHP7 Memcached library

From: Fabio da Silva Ribeiro <[email-masked]>
Date: Sat, 19 Mar 2016 10:13:33 -0300

---
 testing/php7-memcached/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/php7-memcached/APKBUILD

diff --git a/testing/php7-memcached/APKBUILD b/testing/php7-memcached/APKBUILD
new file mode 100644
index 0000000..e0aa217
--- /dev/null
+++ b/testing/php7-memcached/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabio Ribeiro <[email-masked]>
+# Maintainer: Fabio Ribeiro <[email-masked]>
+pkgname=php7-memcached
+_pkgreal=memcached
+_pkgrepo=php-memcached
+_pkgbranch=php7
+pkgver=3.0.0b1
+pkgrel=0
+pkgdesc="PHP extension for interfacing with memcached via libmemcached library"
+url="https://github.com/$_pkgrepo-dev/$_pkgrepo/tree/$_pkgbranch"
+arch="all"
+license="PHP"
+depends=
+pecldepends="php7-dev autoconf zlib-dev"
+makedepends="$pecldepends libmemcached-dev"
+install=""
+subpackages=""
+source="https://github.com/$_pkgrepo-dev/$_pkgrepo/archive/$_pkgbranch.tar.gz"
+
+_builddir="$srcdir"/$_pkgrepo-$_pkgbranch
+
+build() {
+	cd "$_builddir"
+	phpize7 || return 1
+	./configure \
+		--prefix=/usr \
+		--disable-memcached-sasl \
+        --with-php-config=php-config7 || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make INSTALL_ROOT="$pkgdir/" install || return 1
+	install -d "$pkgdir"/etc/php7/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php7/conf.d/$_pkgreal.ini
+}
+
+md5sums="88925dbf4c135a52fb0372ab111e6069  php7.tar.gz"
+sha256sums="a245d0605e9959a2b91551696560b99c59b04d4a8d037e3f2db490f97bfe8d46  php7.tar.gz"
+sha512sums="8f3c7afab1a1211dbba8c29f74f30a524790103ee4dfac64005074675c8a8a5aa31fe9b58b6146e2b3e8bad04a20390a30a9f372c6e806209ac21fe0da9d813d  php7.tar.gz"
-- 
2.1.4

-- 
***

Esta mensagem, incluindo seus anexos, pode conter informações confidenciais 
e/ou privilegiadas. Se você não for a pessoa autorizada a receber esta 
mensagem, não pode usar, copiar ou divulgar as informações nela contidas ou 
tomar qualquer ação baseada nessas informações. Caso esta mensagem tenha 
sido recebida por engano, por favor avise imediatamente o remetente, 
respondendo o e-mail e em seguida elimine-a do seu sistema. Agradecemos sua 
cooperação.

This message, including any attachments, may contain confidential and/or 
privileged information. If you are not the addressee or authorized to 
receive this for the addressee, you must not use, copy, disclose or take 
any action based on this message or any information herein. If you have 
received this message in error, please advise the sender immediately by 
reply e-mail and delete this message.Thank you for your cooperation

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---